FROM fcojean/l2tp-ipsec-vpn-server

ENV DEBIAN_FRONTEND=noninteractive

# Install packages
RUN apt-get -qq update && apt-get upgrade -qq -y \ 
&&  apt-get dist-upgrade -qq -y && apt-get -y install \ 
supervisor sudo man nano git  
# tmux curl python ufw \ 
# openssh-server openssl openvpn nmap

# Change root password and create working user
RUN usermod --password $(echo ${ROOT_PASSWORD} | openssl passwd -1 -stdin) root \
&&  useradd -m -p $(echo ${USER_PASSWORD} | openssl passwd -1 -stdin) user \ 
&&  groupadd -g 12345 dyno \ 
&&  usermod -aG sudo user \ 
&&  usermod -aG dyno user \ 
&&  usermod --shell /bin/bash user

# Setup ssh
RUN mkdir /home/user/.ssh \ 
&&  ssh-keygen -q -b 2048 -t rsa -f /home/user/.ssh/id_rsa -N ""
EXPOSE 22

# Setup supervisor
COPY --chown=user supervisor.openvpn.conf /etc/supervisor/conf.d/supervisor.conf
RUN mkdir -p /var/log/supervisor && touch /var/log/supervisor/supervisord_stdout.log \
&&  chown root:dyno /usr/bin/supervisord \
&&  chmod g+s /usr/bin/supervisord \
&&  chown -R root:dyno /var/log/supervisor
# &&  chmod g+w /var/log/supervisor/supervisord.log 

USER user
CMD /usr/bin/supervisord